> ## Documentation Index
> Fetch the complete documentation index at: https://docs.periskope.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Group Settings

> This endpoint updates the settings of the group




## OpenAPI

````yaml POST /chats/{chat_id}/settings
openapi: 3.0.3
info:
  title: API - Local
  description: >-
    #### Welcome to the official Postman collection of Periskope API


    Periskope APIs enable you automate actions on your WhatsApp phone, and the
    Periskope platform


    - Read more about the APIs & webhooks here -
    [https://docs.periskope.app/api-reference/introduction](https://docs.periskope.app/api-reference/introduction)
        
    - We encourage responsible usage of the APIs. Follow these best practices
    and recommendations for safe actions on WhatsApp -
    [https://docs.periskope.app/get-started/best-practices](https://docs.periskope.app/get-started/best-practices)
        

    #### Getting Started


    ##### Pre-requisites:


    1. **Sign up for a free account on Periskope:** To use the Periskope API,
    you need to have an active Periskope account. If you don’t have one, you can
    sign up for a 7-day free trial [here](https://console.periskope.app).
        
    2. **Scan the QR code from WhatsApp to connect your phone:** A connected
    phone is required to use the APIs
        
    3. **Go to** [Settings &gt;
    API](https://console.periskope.app/settings/api), and generate an API key
    for your organization - The API key is used to authenticate every request.
    Please keep this secure
        

    ##### Using Postman:


    1. **Fork the collection so you can edit values and test the APIs in your
    own postman environment:** To fork the collection, click on the three dots
    next to v1. Then click on create a fork (_shortcut: Ctrl + Alt + F)._
        
    2. **Update the value of the variables in the collection:**  
        \- Update the API key with the key generated in Step 3  
        \- Update the phone number with your connected number. This number will be added to the `x-phone` header across requests
        
        It must be in the format of country code+number, with no special characters or spaces _e.g. +91 98745 32456 becomes 919874532456_
        

    For any help or feedback, please contact us at
    [support@periskope.app](https://mailto:support@periskope.app), or ping us on
    [WhatsApp](https://what.sapp.link/periskope)
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.periskope.app/v1
security:
  - bearerAuth: []
tags:
  - name: contacts
  - name: tickets
  - name: tasks
  - name: phones
  - name: message
  - name: queue
  - name: chats
  - name: group
  - name: members
  - name: webhooks
  - name: custom properties
paths:
  /chats/{chat_id}/settings:
    parameters:
      - name: chat_id
        in: path
        required: true
        schema:
          type: string
          example: 120363392071406466@g.us
    post:
      tags:
        - chats
        - group
      summary: Update Group Settings
      description: |
        This endpoint updates the settings of the group
      operationId: updateGroupSettings
      parameters:
        - name: x-phone
          in: header
          schema:
            type: string
            example: '{{orgPhone}}'
          description: >-
            Please provide the number of the phone you want to call with this
            API in the header. The number must be in country code + number
            format without any characters or spaces, e.g. 919876543210;
            Alternatively, provide the phone_id (phone-xxxxxxxxxxxx) in the
            header
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                addMembersAdminsOnly:
                  type: boolean
                  example: true
                  description: >-
                    - When set to true, only admins can add other participants
                    to the group

                    - Default true
                description:
                  type: string
                  example: ''
                  description: '- Updates the group description'
                image:
                  type: string
                  example: ''
                  description: '- A public image URL to update the group image'
                infoAdminsOnly:
                  type: boolean
                  example: ''
                  description: >-
                    - When set to true, only admins can edit group description
                    or info

                    - Default false
                messagesAdminsOnly:
                  type: boolean
                  example: ''
                  description: >-
                    - When set to true, only admins can send messages to the
                    group.

                    - Default false
                name:
                  type: string
                  example: Test Group Name Change
                  description: '- Updates the name of the group'
                ephemeral:
                  type: integer
                  example: 7
                  description: |-
                    - Sets the disappearing message duration in WhatsApp group
                    - 0: Off (no disappearing messages)
                    - 1: 24 hours
                    - 7: 7 days
                    - 90: 90 days
                joinApprovalAdminsOnly:
                  type: boolean
                  example: true
                  description: >-
                    - When set to true, new members must be approved by an admin
                    before joining the group

                    - Default false
            examples:
              Update Group Settings:
                value:
                  addMembersAdminsOnly: true
                  description: ''
                  image: ''
                  infoAdminsOnly: ''
                  messagesAdminsOnly: ''
                  name: Test Group Name Change
              Set Disappearing Messages:
                value:
                  ephemeral: 7
      responses:
        '200':
          description: 200 OK
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                example: '*'
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '666'
            Date:
              schema:
                type: string
                example: Mon, 27 Jan 2025 11:11:07 GMT
            ETag:
              schema:
                type: string
                example: W/"29a-obtiArew4XRjDdsJA98T9t7l6G4"
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
            X-Powered-By:
              schema:
                type: string
                example: Express
            X-RateLimit-Limit:
              schema:
                type: string
                example: '10'
            X-RateLimit-Remaining:
              schema:
                type: string
                example: '9'
            X-RateLimit-Reset:
              schema:
                type: string
                example: '1737976269'
            x-periskope-org-id:
              schema:
                type: string
                example: 2997dd64-89bf-48d3-9a22-b314fca017e5
            x-periskope-phone-id:
              schema:
                type: string
                example: phone-bqzvyibhmwkaergr
            x-periskope-trace-id:
              schema:
                type: string
                example: 67f4c520-dc9f-11ef-9672-b34af062c295
          content:
            application/json:
              schema:
                type: object
                description: >-
                  The response is a chat object for the updated group. Refer to
                  [the chat object here](/api-reference/objects/the-chat-object)
              examples:
                200 OK:
                  value:
                    add_members_admins_only: true
                    assigned_to: null
                    chat_access:
                      bharat@hashlabs.dev: true
                    chat_id: 120363392071406466@g.us
                    chat_image: null
                    chat_name: Test Group Name Change
                    chat_type: group
                    closed_at: null
                    created_at: '2025-01-27T11:07:52+00:00'
                    custom_properties: {}
                    group_description: null
                    info_admins_only: false
                    invite_link: https://chat.whatsapp.com/invite/CuZAuEnSB6e8sk7R3dopD3
                    is_exited: false
                    is_muted: false
                    label_ids: {}
                    labels: []
                    latest_message: null
                    member_count: 3
                    messages_admins_only: false
                    org_id: 2997dd64-89bf-48d3-9a22-b314fca017e5
                    org_phone: 918527184400@c.us
                    updated_at: '2025-01-27T11:11:09.102583+00:00'
      x-codeSamples:
        - lang: TypeScript
          label: Node.js
          source: |-
            import { PeriskopeApi } from '@periskope/periskope-client';

            const client = new PeriskopeApi({
              authToken: 'YOUR_API_KEY',
              phone: 'YOUR_PHONE_NUMBER', // e.g., '919876543210'
            });

            async function updateGroupSettings() {
              const response = await client.group.updateSettings({
                chat_id: '120363371308389685@g.us',
                description: 'New description added'
              });

              console.log(response);
            }

            updateGroupSettings();
        - lang: cURL
          label: cURL
          source: |-
            curl -X POST \
              https://api.periskope.app/v1/chats/{chat_id}/settings \
              -H 'Authorization: Bearer <token>' \
              -H 'Content-Type: application/json' \
              -H 'x-phone: YOUR_PHONE_NUMBER' \
             -d '{
                "description": "New description added" 
               }'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````